/* 
 *  rocks/options.c
 *
 *  Reliable sockets options.
 *
 *  Copyright (C) 2001 Victor Zandy
 *  See COPYING for distribution terms.
 */
#include "rs.h"

int rs_opt_nolog = 0;	   /* Non-zero means all logging is disabled  */
int rs_opt_noauth = 0;     /* Non-zero means authentication is disabled */
int rs_opt_nointerop = 0;  /* Non-zero means interoperability is disabled */
int rs_opt_nohb = 0;	   /* Non-zero means no heartbeat */
int rs_opt_noflight = 0;   /* Non-zero means no in-flight data buffering */
int rs_opt_noudp = 1;	   /* Non-zero means no UDP support */

/* Heartbeat */
int rs_opt_alarm_period = 1;        /* seconds */
int rs_opt_max_alarm_misses = 15;

/* Authentication */
int rs_opt_auth_timeout = 1000;     /* milliseconds */

/* Reconnection */
int rs_opt_rec_max_timeouts = 5;    /* Max timeouts during reconnection
				       before refreshing sockets. */
